/**
 * @brief Universal Asynchronout Serial library. 
 * @details This file contains the functions for using the avr usart0 periph. 
 * @author Jake G 
 * @date 2024
 * @copyright None
 * @file USART.h
 */

#ifndef USART_H
#define USART_H


/**
 * @brief Initializes the USART0 peripheral. 
 */
void USART0_init(void);

/**
 * @brief Sends a single char type variable over usart0.
 * @param c The charecter to be sent over usart0. 
 */
void USART0_sendChar(char c);

/**
 * @brief Sends string over usart0
 * @param str A C-style string.
 */
void USART0_sendString(char *str);



#endif //USART_H
